IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network3.60.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
3.60.0.0- Broadcast address
3.63.255.255- First usable
3.60.0.1- Last usable
3.63.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
033C0000· Integer54263808to54525951 - Reverse DNS zones
60.3.in-addr.arpa61.3.in-addr.arpa62.3.in-addr.arpa63.3.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000011.00111100.00000000.00000000 | 3.60.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000011.00111100.00000000.00000000 | 3.60.0.0 |
| Broadcast | 00000011.00111111.11111111.11111111 | 3.63.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
3.60.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 3.60.0.0/23 | 3.60.0.1 to 3.60.1.254 | 3.60.1.255 | 510 |
| 2 | 3.60.2.0/23 | 3.60.2.1 to 3.60.3.254 | 3.60.3.255 | 510 |
| 3 | 3.60.4.0/23 | 3.60.4.1 to 3.60.5.254 | 3.60.5.255 | 510 |
| 4 | 3.60.6.0/23 | 3.60.6.1 to 3.60.7.254 | 3.60.7.255 | 510 |
| 5 | 3.60.8.0/23 | 3.60.8.1 to 3.60.9.254 | 3.60.9.255 | 510 |
| 6 | 3.60.10.0/23 | 3.60.10.1 to 3.60.11.254 | 3.60.11.255 | 510 |
| 7 | 3.60.12.0/23 | 3.60.12.1 to 3.60.13.254 | 3.60.13.255 | 510 |
| 8 | 3.60.14.0/23 | 3.60.14.1 to 3.60.15.254 | 3.60.15.255 | 510 |
| 9 | 3.60.16.0/23 | 3.60.16.1 to 3.60.17.254 | 3.60.17.255 | 510 |
| 10 | 3.60.18.0/23 | 3.60.18.1 to 3.60.19.254 | 3.60.19.255 | 510 |
| 11 | 3.60.20.0/23 | 3.60.20.1 to 3.60.21.254 | 3.60.21.255 | 510 |
| 12 | 3.60.22.0/23 | 3.60.22.1 to 3.60.23.254 | 3.60.23.255 | 510 |
| 13 | 3.60.24.0/23 | 3.60.24.1 to 3.60.25.254 | 3.60.25.255 | 510 |
| 14 | 3.60.26.0/23 | 3.60.26.1 to 3.60.27.254 | 3.60.27.255 | 510 |
| 15 | 3.60.28.0/23 | 3.60.28.1 to 3.60.29.254 | 3.60.29.255 | 510 |
| 16 | 3.60.30.0/23 | 3.60.30.1 to 3.60.31.254 | 3.60.31.255 | 510 |
| 17 | 3.60.32.0/23 | 3.60.32.1 to 3.60.33.254 | 3.60.33.255 | 510 |
| 18 | 3.60.34.0/23 | 3.60.34.1 to 3.60.35.254 | 3.60.35.255 | 510 |
| 19 | 3.60.36.0/23 | 3.60.36.1 to 3.60.37.254 | 3.60.37.255 | 510 |
| 20 | 3.60.38.0/23 | 3.60.38.1 to 3.60.39.254 | 3.60.39.255 | 510 |
| 21 | 3.60.40.0/23 | 3.60.40.1 to 3.60.41.254 | 3.60.41.255 | 510 |
| 22 | 3.60.42.0/23 | 3.60.42.1 to 3.60.43.254 | 3.60.43.255 | 510 |
| 23 | 3.60.44.0/23 | 3.60.44.1 to 3.60.45.254 | 3.60.45.255 | 510 |
| 24 | 3.60.46.0/23 | 3.60.46.1 to 3.60.47.254 | 3.60.47.255 | 510 |
| 25 | 3.60.48.0/23 | 3.60.48.1 to 3.60.49.254 | 3.60.49.255 | 510 |
| 26 | 3.60.50.0/23 | 3.60.50.1 to 3.60.51.254 | 3.60.51.255 | 510 |
| 27 | 3.60.52.0/23 | 3.60.52.1 to 3.60.53.254 | 3.60.53.255 | 510 |
| 28 | 3.60.54.0/23 | 3.60.54.1 to 3.60.55.254 | 3.60.55.255 | 510 |
| 29 | 3.60.56.0/23 | 3.60.56.1 to 3.60.57.254 | 3.60.57.255 | 510 |
| 30 | 3.60.58.0/23 | 3.60.58.1 to 3.60.59.254 | 3.60.59.255 | 510 |
| 31 | 3.60.60.0/23 | 3.60.60.1 to 3.60.61.254 | 3.60.61.255 | 510 |
| 32 | 3.60.62.0/23 | 3.60.62.1 to 3.60.63.254 | 3.60.63.255 | 510 |
| 33 | 3.60.64.0/23 | 3.60.64.1 to 3.60.65.254 | 3.60.65.255 | 510 |
| 34 | 3.60.66.0/23 | 3.60.66.1 to 3.60.67.254 | 3.60.67.255 | 510 |
| 35 | 3.60.68.0/23 | 3.60.68.1 to 3.60.69.254 | 3.60.69.255 | 510 |
| 36 | 3.60.70.0/23 | 3.60.70.1 to 3.60.71.254 | 3.60.71.255 | 510 |
| 37 | 3.60.72.0/23 | 3.60.72.1 to 3.60.73.254 | 3.60.73.255 | 510 |
| 38 | 3.60.74.0/23 | 3.60.74.1 to 3.60.75.254 | 3.60.75.255 | 510 |
| 39 | 3.60.76.0/23 | 3.60.76.1 to 3.60.77.254 | 3.60.77.255 | 510 |
| 40 | 3.60.78.0/23 | 3.60.78.1 to 3.60.79.254 | 3.60.79.255 | 510 |
| 41 | 3.60.80.0/23 | 3.60.80.1 to 3.60.81.254 | 3.60.81.255 | 510 |
| 42 | 3.60.82.0/23 | 3.60.82.1 to 3.60.83.254 | 3.60.83.255 | 510 |
| 43 | 3.60.84.0/23 | 3.60.84.1 to 3.60.85.254 | 3.60.85.255 | 510 |
| 44 | 3.60.86.0/23 | 3.60.86.1 to 3.60.87.254 | 3.60.87.255 | 510 |
| 45 | 3.60.88.0/23 | 3.60.88.1 to 3.60.89.254 | 3.60.89.255 | 510 |
| 46 | 3.60.90.0/23 | 3.60.90.1 to 3.60.91.254 | 3.60.91.255 | 510 |
| 47 | 3.60.92.0/23 | 3.60.92.1 to 3.60.93.254 | 3.60.93.255 | 510 |
| 48 | 3.60.94.0/23 | 3.60.94.1 to 3.60.95.254 | 3.60.95.255 | 510 |
| 49 | 3.60.96.0/23 | 3.60.96.1 to 3.60.97.254 | 3.60.97.255 | 510 |
| 50 | 3.60.98.0/23 | 3.60.98.1 to 3.60.99.254 | 3.60.99.255 | 510 |
| 51 | 3.60.100.0/23 | 3.60.100.1 to 3.60.101.254 | 3.60.101.255 | 510 |
| 52 | 3.60.102.0/23 | 3.60.102.1 to 3.60.103.254 | 3.60.103.255 | 510 |
| 53 | 3.60.104.0/23 | 3.60.104.1 to 3.60.105.254 | 3.60.105.255 | 510 |
| 54 | 3.60.106.0/23 | 3.60.106.1 to 3.60.107.254 | 3.60.107.255 | 510 |
| 55 | 3.60.108.0/23 | 3.60.108.1 to 3.60.109.254 | 3.60.109.255 | 510 |
| 56 | 3.60.110.0/23 | 3.60.110.1 to 3.60.111.254 | 3.60.111.255 | 510 |
| 57 | 3.60.112.0/23 | 3.60.112.1 to 3.60.113.254 | 3.60.113.255 | 510 |
| 58 | 3.60.114.0/23 | 3.60.114.1 to 3.60.115.254 | 3.60.115.255 | 510 |
| 59 | 3.60.116.0/23 | 3.60.116.1 to 3.60.117.254 | 3.60.117.255 | 510 |
| 60 | 3.60.118.0/23 | 3.60.118.1 to 3.60.119.254 | 3.60.119.255 | 510 |
| 61 | 3.60.120.0/23 | 3.60.120.1 to 3.60.121.254 | 3.60.121.255 | 510 |
| 62 | 3.60.122.0/23 | 3.60.122.1 to 3.60.123.254 | 3.60.123.255 | 510 |
| 63 | 3.60.124.0/23 | 3.60.124.1 to 3.60.125.254 | 3.60.125.255 | 510 |
| 64 | 3.60.126.0/23 | 3.60.126.1 to 3.60.127.254 | 3.60.127.255 | 510 |
| 65 | 3.60.128.0/23 | 3.60.128.1 to 3.60.129.254 | 3.60.129.255 | 510 |
| 66 | 3.60.130.0/23 | 3.60.130.1 to 3.60.131.254 | 3.60.131.255 | 510 |
| 67 | 3.60.132.0/23 | 3.60.132.1 to 3.60.133.254 | 3.60.133.255 | 510 |
| 68 | 3.60.134.0/23 | 3.60.134.1 to 3.60.135.254 | 3.60.135.255 | 510 |
| 69 | 3.60.136.0/23 | 3.60.136.1 to 3.60.137.254 | 3.60.137.255 | 510 |
| 70 | 3.60.138.0/23 | 3.60.138.1 to 3.60.139.254 | 3.60.139.255 | 510 |
| 71 | 3.60.140.0/23 | 3.60.140.1 to 3.60.141.254 | 3.60.141.255 | 510 |
| 72 | 3.60.142.0/23 | 3.60.142.1 to 3.60.143.254 | 3.60.143.255 | 510 |
| 73 | 3.60.144.0/23 | 3.60.144.1 to 3.60.145.254 | 3.60.145.255 | 510 |
| 74 | 3.60.146.0/23 | 3.60.146.1 to 3.60.147.254 | 3.60.147.255 | 510 |
| 75 | 3.60.148.0/23 | 3.60.148.1 to 3.60.149.254 | 3.60.149.255 | 510 |
| 76 | 3.60.150.0/23 | 3.60.150.1 to 3.60.151.254 | 3.60.151.255 | 510 |
| 77 | 3.60.152.0/23 | 3.60.152.1 to 3.60.153.254 | 3.60.153.255 | 510 |
| 78 | 3.60.154.0/23 | 3.60.154.1 to 3.60.155.254 | 3.60.155.255 | 510 |
| 79 | 3.60.156.0/23 | 3.60.156.1 to 3.60.157.254 | 3.60.157.255 | 510 |
| 80 | 3.60.158.0/23 | 3.60.158.1 to 3.60.159.254 | 3.60.159.255 | 510 |
| 81 | 3.60.160.0/23 | 3.60.160.1 to 3.60.161.254 | 3.60.161.255 | 510 |
| 82 | 3.60.162.0/23 | 3.60.162.1 to 3.60.163.254 | 3.60.163.255 | 510 |
| 83 | 3.60.164.0/23 | 3.60.164.1 to 3.60.165.254 | 3.60.165.255 | 510 |
| 84 | 3.60.166.0/23 | 3.60.166.1 to 3.60.167.254 | 3.60.167.255 | 510 |
| 85 | 3.60.168.0/23 | 3.60.168.1 to 3.60.169.254 | 3.60.169.255 | 510 |
| 86 | 3.60.170.0/23 | 3.60.170.1 to 3.60.171.254 | 3.60.171.255 | 510 |
| 87 | 3.60.172.0/23 | 3.60.172.1 to 3.60.173.254 | 3.60.173.255 | 510 |
| 88 | 3.60.174.0/23 | 3.60.174.1 to 3.60.175.254 | 3.60.175.255 | 510 |
| 89 | 3.60.176.0/23 | 3.60.176.1 to 3.60.177.254 | 3.60.177.255 | 510 |
| 90 | 3.60.178.0/23 | 3.60.178.1 to 3.60.179.254 | 3.60.179.255 | 510 |
| 91 | 3.60.180.0/23 | 3.60.180.1 to 3.60.181.254 | 3.60.181.255 | 510 |
| 92 | 3.60.182.0/23 | 3.60.182.1 to 3.60.183.254 | 3.60.183.255 | 510 |
| 93 | 3.60.184.0/23 | 3.60.184.1 to 3.60.185.254 | 3.60.185.255 | 510 |
| 94 | 3.60.186.0/23 | 3.60.186.1 to 3.60.187.254 | 3.60.187.255 | 510 |
| 95 | 3.60.188.0/23 | 3.60.188.1 to 3.60.189.254 | 3.60.189.255 | 510 |
| 96 | 3.60.190.0/23 | 3.60.190.1 to 3.60.191.254 | 3.60.191.255 | 510 |
| 97 | 3.60.192.0/23 | 3.60.192.1 to 3.60.193.254 | 3.60.193.255 | 510 |
| 98 | 3.60.194.0/23 | 3.60.194.1 to 3.60.195.254 | 3.60.195.255 | 510 |
| 99 | 3.60.196.0/23 | 3.60.196.1 to 3.60.197.254 | 3.60.197.255 | 510 |
| 100 | 3.60.198.0/23 | 3.60.198.1 to 3.60.199.254 | 3.60.199.255 | 510 |
| 101 | 3.60.200.0/23 | 3.60.200.1 to 3.60.201.254 | 3.60.201.255 | 510 |
| 102 | 3.60.202.0/23 | 3.60.202.1 to 3.60.203.254 | 3.60.203.255 | 510 |
| 103 | 3.60.204.0/23 | 3.60.204.1 to 3.60.205.254 | 3.60.205.255 | 510 |
| 104 | 3.60.206.0/23 | 3.60.206.1 to 3.60.207.254 | 3.60.207.255 | 510 |
| 105 | 3.60.208.0/23 | 3.60.208.1 to 3.60.209.254 | 3.60.209.255 | 510 |
| 106 | 3.60.210.0/23 | 3.60.210.1 to 3.60.211.254 | 3.60.211.255 | 510 |
| 107 | 3.60.212.0/23 | 3.60.212.1 to 3.60.213.254 | 3.60.213.255 | 510 |
| 108 | 3.60.214.0/23 | 3.60.214.1 to 3.60.215.254 | 3.60.215.255 | 510 |
| 109 | 3.60.216.0/23 | 3.60.216.1 to 3.60.217.254 | 3.60.217.255 | 510 |
| 110 | 3.60.218.0/23 | 3.60.218.1 to 3.60.219.254 | 3.60.219.255 | 510 |
| 111 | 3.60.220.0/23 | 3.60.220.1 to 3.60.221.254 | 3.60.221.255 | 510 |
| 112 | 3.60.222.0/23 | 3.60.222.1 to 3.60.223.254 | 3.60.223.255 | 510 |
| 113 | 3.60.224.0/23 | 3.60.224.1 to 3.60.225.254 | 3.60.225.255 | 510 |
| 114 | 3.60.226.0/23 | 3.60.226.1 to 3.60.227.254 | 3.60.227.255 | 510 |
| 115 | 3.60.228.0/23 | 3.60.228.1 to 3.60.229.254 | 3.60.229.255 | 510 |
| 116 | 3.60.230.0/23 | 3.60.230.1 to 3.60.231.254 | 3.60.231.255 | 510 |
| 117 | 3.60.232.0/23 | 3.60.232.1 to 3.60.233.254 | 3.60.233.255 | 510 |
| 118 | 3.60.234.0/23 | 3.60.234.1 to 3.60.235.254 | 3.60.235.255 | 510 |
| 119 | 3.60.236.0/23 | 3.60.236.1 to 3.60.237.254 | 3.60.237.255 | 510 |
| 120 | 3.60.238.0/23 | 3.60.238.1 to 3.60.239.254 | 3.60.239.255 | 510 |
| 121 | 3.60.240.0/23 | 3.60.240.1 to 3.60.241.254 | 3.60.241.255 | 510 |
| 122 | 3.60.242.0/23 | 3.60.242.1 to 3.60.243.254 | 3.60.243.255 | 510 |
| 123 | 3.60.244.0/23 | 3.60.244.1 to 3.60.245.254 | 3.60.245.255 | 510 |
| 124 | 3.60.246.0/23 | 3.60.246.1 to 3.60.247.254 | 3.60.247.255 | 510 |
| 125 | 3.60.248.0/23 | 3.60.248.1 to 3.60.249.254 | 3.60.249.255 | 510 |
| 126 | 3.60.250.0/23 | 3.60.250.1 to 3.60.251.254 | 3.60.251.255 | 510 |
| 127 | 3.60.252.0/23 | 3.60.252.1 to 3.60.253.254 | 3.60.253.255 | 510 |
| 128 | 3.60.254.0/23 | 3.60.254.1 to 3.60.255.254 | 3.60.255.255 | 510 |
| 129 | 3.61.0.0/23 | 3.61.0.1 to 3.61.1.254 | 3.61.1.255 | 510 |
| 130 | 3.61.2.0/23 | 3.61.2.1 to 3.61.3.254 | 3.61.3.255 | 510 |
| 131 | 3.61.4.0/23 | 3.61.4.1 to 3.61.5.254 | 3.61.5.255 | 510 |
| 132 | 3.61.6.0/23 | 3.61.6.1 to 3.61.7.254 | 3.61.7.255 | 510 |
| 133 | 3.61.8.0/23 | 3.61.8.1 to 3.61.9.254 | 3.61.9.255 | 510 |
| 134 | 3.61.10.0/23 | 3.61.10.1 to 3.61.11.254 | 3.61.11.255 | 510 |
| 135 | 3.61.12.0/23 | 3.61.12.1 to 3.61.13.254 | 3.61.13.255 | 510 |
| 136 | 3.61.14.0/23 | 3.61.14.1 to 3.61.15.254 | 3.61.15.255 | 510 |
| 137 | 3.61.16.0/23 | 3.61.16.1 to 3.61.17.254 | 3.61.17.255 | 510 |
| 138 | 3.61.18.0/23 | 3.61.18.1 to 3.61.19.254 | 3.61.19.255 | 510 |
| 139 | 3.61.20.0/23 | 3.61.20.1 to 3.61.21.254 | 3.61.21.255 | 510 |
| 140 | 3.61.22.0/23 | 3.61.22.1 to 3.61.23.254 | 3.61.23.255 | 510 |
| 141 | 3.61.24.0/23 | 3.61.24.1 to 3.61.25.254 | 3.61.25.255 | 510 |
| 142 | 3.61.26.0/23 | 3.61.26.1 to 3.61.27.254 | 3.61.27.255 | 510 |
| 143 | 3.61.28.0/23 | 3.61.28.1 to 3.61.29.254 | 3.61.29.255 | 510 |
| 144 | 3.61.30.0/23 | 3.61.30.1 to 3.61.31.254 | 3.61.31.255 | 510 |
| 145 | 3.61.32.0/23 | 3.61.32.1 to 3.61.33.254 | 3.61.33.255 | 510 |
| 146 | 3.61.34.0/23 | 3.61.34.1 to 3.61.35.254 | 3.61.35.255 | 510 |
| 147 | 3.61.36.0/23 | 3.61.36.1 to 3.61.37.254 | 3.61.37.255 | 510 |
| 148 | 3.61.38.0/23 | 3.61.38.1 to 3.61.39.254 | 3.61.39.255 | 510 |
| 149 | 3.61.40.0/23 | 3.61.40.1 to 3.61.41.254 | 3.61.41.255 | 510 |
| 150 | 3.61.42.0/23 | 3.61.42.1 to 3.61.43.254 | 3.61.43.255 | 510 |
| 151 | 3.61.44.0/23 | 3.61.44.1 to 3.61.45.254 | 3.61.45.255 | 510 |
| 152 | 3.61.46.0/23 | 3.61.46.1 to 3.61.47.254 | 3.61.47.255 | 510 |
| 153 | 3.61.48.0/23 | 3.61.48.1 to 3.61.49.254 | 3.61.49.255 | 510 |
| 154 | 3.61.50.0/23 | 3.61.50.1 to 3.61.51.254 | 3.61.51.255 | 510 |
| 155 | 3.61.52.0/23 | 3.61.52.1 to 3.61.53.254 | 3.61.53.255 | 510 |
| 156 | 3.61.54.0/23 | 3.61.54.1 to 3.61.55.254 | 3.61.55.255 | 510 |
| 157 | 3.61.56.0/23 | 3.61.56.1 to 3.61.57.254 | 3.61.57.255 | 510 |
| 158 | 3.61.58.0/23 | 3.61.58.1 to 3.61.59.254 | 3.61.59.255 | 510 |
| 159 | 3.61.60.0/23 | 3.61.60.1 to 3.61.61.254 | 3.61.61.255 | 510 |
| 160 | 3.61.62.0/23 | 3.61.62.1 to 3.61.63.254 | 3.61.63.255 | 510 |
| 161 | 3.61.64.0/23 | 3.61.64.1 to 3.61.65.254 | 3.61.65.255 | 510 |
| 162 | 3.61.66.0/23 | 3.61.66.1 to 3.61.67.254 | 3.61.67.255 | 510 |
| 163 | 3.61.68.0/23 | 3.61.68.1 to 3.61.69.254 | 3.61.69.255 | 510 |
| 164 | 3.61.70.0/23 | 3.61.70.1 to 3.61.71.254 | 3.61.71.255 | 510 |
| 165 | 3.61.72.0/23 | 3.61.72.1 to 3.61.73.254 | 3.61.73.255 | 510 |
| 166 | 3.61.74.0/23 | 3.61.74.1 to 3.61.75.254 | 3.61.75.255 | 510 |
| 167 | 3.61.76.0/23 | 3.61.76.1 to 3.61.77.254 | 3.61.77.255 | 510 |
| 168 | 3.61.78.0/23 | 3.61.78.1 to 3.61.79.254 | 3.61.79.255 | 510 |
| 169 | 3.61.80.0/23 | 3.61.80.1 to 3.61.81.254 | 3.61.81.255 | 510 |
| 170 | 3.61.82.0/23 | 3.61.82.1 to 3.61.83.254 | 3.61.83.255 | 510 |
| 171 | 3.61.84.0/23 | 3.61.84.1 to 3.61.85.254 | 3.61.85.255 | 510 |
| 172 | 3.61.86.0/23 | 3.61.86.1 to 3.61.87.254 | 3.61.87.255 | 510 |
| 173 | 3.61.88.0/23 | 3.61.88.1 to 3.61.89.254 | 3.61.89.255 | 510 |
| 174 | 3.61.90.0/23 | 3.61.90.1 to 3.61.91.254 | 3.61.91.255 | 510 |
| 175 | 3.61.92.0/23 | 3.61.92.1 to 3.61.93.254 | 3.61.93.255 | 510 |
| 176 | 3.61.94.0/23 | 3.61.94.1 to 3.61.95.254 | 3.61.95.255 | 510 |
| 177 | 3.61.96.0/23 | 3.61.96.1 to 3.61.97.254 | 3.61.97.255 | 510 |
| 178 | 3.61.98.0/23 | 3.61.98.1 to 3.61.99.254 | 3.61.99.255 | 510 |
| 179 | 3.61.100.0/23 | 3.61.100.1 to 3.61.101.254 | 3.61.101.255 | 510 |
| 180 | 3.61.102.0/23 | 3.61.102.1 to 3.61.103.254 | 3.61.103.255 | 510 |
| 181 | 3.61.104.0/23 | 3.61.104.1 to 3.61.105.254 | 3.61.105.255 | 510 |
| 182 | 3.61.106.0/23 | 3.61.106.1 to 3.61.107.254 | 3.61.107.255 | 510 |
| 183 | 3.61.108.0/23 | 3.61.108.1 to 3.61.109.254 | 3.61.109.255 | 510 |
| 184 | 3.61.110.0/23 | 3.61.110.1 to 3.61.111.254 | 3.61.111.255 | 510 |
| 185 | 3.61.112.0/23 | 3.61.112.1 to 3.61.113.254 | 3.61.113.255 | 510 |
| 186 | 3.61.114.0/23 | 3.61.114.1 to 3.61.115.254 | 3.61.115.255 | 510 |
| 187 | 3.61.116.0/23 | 3.61.116.1 to 3.61.117.254 | 3.61.117.255 | 510 |
| 188 | 3.61.118.0/23 | 3.61.118.1 to 3.61.119.254 | 3.61.119.255 | 510 |
| 189 | 3.61.120.0/23 | 3.61.120.1 to 3.61.121.254 | 3.61.121.255 | 510 |
| 190 | 3.61.122.0/23 | 3.61.122.1 to 3.61.123.254 | 3.61.123.255 | 510 |
| 191 | 3.61.124.0/23 | 3.61.124.1 to 3.61.125.254 | 3.61.125.255 | 510 |
| 192 | 3.61.126.0/23 | 3.61.126.1 to 3.61.127.254 | 3.61.127.255 | 510 |
| 193 | 3.61.128.0/23 | 3.61.128.1 to 3.61.129.254 | 3.61.129.255 | 510 |
| 194 | 3.61.130.0/23 | 3.61.130.1 to 3.61.131.254 | 3.61.131.255 | 510 |
| 195 | 3.61.132.0/23 | 3.61.132.1 to 3.61.133.254 | 3.61.133.255 | 510 |
| 196 | 3.61.134.0/23 | 3.61.134.1 to 3.61.135.254 | 3.61.135.255 | 510 |
| 197 | 3.61.136.0/23 | 3.61.136.1 to 3.61.137.254 | 3.61.137.255 | 510 |
| 198 | 3.61.138.0/23 | 3.61.138.1 to 3.61.139.254 | 3.61.139.255 | 510 |
| 199 | 3.61.140.0/23 | 3.61.140.1 to 3.61.141.254 | 3.61.141.255 | 510 |
| 200 | 3.61.142.0/23 | 3.61.142.1 to 3.61.143.254 | 3.61.143.255 | 510 |
| 201 | 3.61.144.0/23 | 3.61.144.1 to 3.61.145.254 | 3.61.145.255 | 510 |
| 202 | 3.61.146.0/23 | 3.61.146.1 to 3.61.147.254 | 3.61.147.255 | 510 |
| 203 | 3.61.148.0/23 | 3.61.148.1 to 3.61.149.254 | 3.61.149.255 | 510 |
| 204 | 3.61.150.0/23 | 3.61.150.1 to 3.61.151.254 | 3.61.151.255 | 510 |
| 205 | 3.61.152.0/23 | 3.61.152.1 to 3.61.153.254 | 3.61.153.255 | 510 |
| 206 | 3.61.154.0/23 | 3.61.154.1 to 3.61.155.254 | 3.61.155.255 | 510 |
| 207 | 3.61.156.0/23 | 3.61.156.1 to 3.61.157.254 | 3.61.157.255 | 510 |
| 208 | 3.61.158.0/23 | 3.61.158.1 to 3.61.159.254 | 3.61.159.255 | 510 |
| 209 | 3.61.160.0/23 | 3.61.160.1 to 3.61.161.254 | 3.61.161.255 | 510 |
| 210 | 3.61.162.0/23 | 3.61.162.1 to 3.61.163.254 | 3.61.163.255 | 510 |
| 211 | 3.61.164.0/23 | 3.61.164.1 to 3.61.165.254 | 3.61.165.255 | 510 |
| 212 | 3.61.166.0/23 | 3.61.166.1 to 3.61.167.254 | 3.61.167.255 | 510 |
| 213 | 3.61.168.0/23 | 3.61.168.1 to 3.61.169.254 | 3.61.169.255 | 510 |
| 214 | 3.61.170.0/23 | 3.61.170.1 to 3.61.171.254 | 3.61.171.255 | 510 |
| 215 | 3.61.172.0/23 | 3.61.172.1 to 3.61.173.254 | 3.61.173.255 | 510 |
| 216 | 3.61.174.0/23 | 3.61.174.1 to 3.61.175.254 | 3.61.175.255 | 510 |
| 217 | 3.61.176.0/23 | 3.61.176.1 to 3.61.177.254 | 3.61.177.255 | 510 |
| 218 | 3.61.178.0/23 | 3.61.178.1 to 3.61.179.254 | 3.61.179.255 | 510 |
| 219 | 3.61.180.0/23 | 3.61.180.1 to 3.61.181.254 | 3.61.181.255 | 510 |
| 220 | 3.61.182.0/23 | 3.61.182.1 to 3.61.183.254 | 3.61.183.255 | 510 |
| 221 | 3.61.184.0/23 | 3.61.184.1 to 3.61.185.254 | 3.61.185.255 | 510 |
| 222 | 3.61.186.0/23 | 3.61.186.1 to 3.61.187.254 | 3.61.187.255 | 510 |
| 223 | 3.61.188.0/23 | 3.61.188.1 to 3.61.189.254 | 3.61.189.255 | 510 |
| 224 | 3.61.190.0/23 | 3.61.190.1 to 3.61.191.254 | 3.61.191.255 | 510 |
| 225 | 3.61.192.0/23 | 3.61.192.1 to 3.61.193.254 | 3.61.193.255 | 510 |
| 226 | 3.61.194.0/23 | 3.61.194.1 to 3.61.195.254 | 3.61.195.255 | 510 |
| 227 | 3.61.196.0/23 | 3.61.196.1 to 3.61.197.254 | 3.61.197.255 | 510 |
| 228 | 3.61.198.0/23 | 3.61.198.1 to 3.61.199.254 | 3.61.199.255 | 510 |
| 229 | 3.61.200.0/23 | 3.61.200.1 to 3.61.201.254 | 3.61.201.255 | 510 |
| 230 | 3.61.202.0/23 | 3.61.202.1 to 3.61.203.254 | 3.61.203.255 | 510 |
| 231 | 3.61.204.0/23 | 3.61.204.1 to 3.61.205.254 | 3.61.205.255 | 510 |
| 232 | 3.61.206.0/23 | 3.61.206.1 to 3.61.207.254 | 3.61.207.255 | 510 |
| 233 | 3.61.208.0/23 | 3.61.208.1 to 3.61.209.254 | 3.61.209.255 | 510 |
| 234 | 3.61.210.0/23 | 3.61.210.1 to 3.61.211.254 | 3.61.211.255 | 510 |
| 235 | 3.61.212.0/23 | 3.61.212.1 to 3.61.213.254 | 3.61.213.255 | 510 |
| 236 | 3.61.214.0/23 | 3.61.214.1 to 3.61.215.254 | 3.61.215.255 | 510 |
| 237 | 3.61.216.0/23 | 3.61.216.1 to 3.61.217.254 | 3.61.217.255 | 510 |
| 238 | 3.61.218.0/23 | 3.61.218.1 to 3.61.219.254 | 3.61.219.255 | 510 |
| 239 | 3.61.220.0/23 | 3.61.220.1 to 3.61.221.254 | 3.61.221.255 | 510 |
| 240 | 3.61.222.0/23 | 3.61.222.1 to 3.61.223.254 | 3.61.223.255 | 510 |
| 241 | 3.61.224.0/23 | 3.61.224.1 to 3.61.225.254 | 3.61.225.255 | 510 |
| 242 | 3.61.226.0/23 | 3.61.226.1 to 3.61.227.254 | 3.61.227.255 | 510 |
| 243 | 3.61.228.0/23 | 3.61.228.1 to 3.61.229.254 | 3.61.229.255 | 510 |
| 244 | 3.61.230.0/23 | 3.61.230.1 to 3.61.231.254 | 3.61.231.255 | 510 |
| 245 | 3.61.232.0/23 | 3.61.232.1 to 3.61.233.254 | 3.61.233.255 | 510 |
| 246 | 3.61.234.0/23 | 3.61.234.1 to 3.61.235.254 | 3.61.235.255 | 510 |
| 247 | 3.61.236.0/23 | 3.61.236.1 to 3.61.237.254 | 3.61.237.255 | 510 |
| 248 | 3.61.238.0/23 | 3.61.238.1 to 3.61.239.254 | 3.61.239.255 | 510 |
| 249 | 3.61.240.0/23 | 3.61.240.1 to 3.61.241.254 | 3.61.241.255 | 510 |
| 250 | 3.61.242.0/23 | 3.61.242.1 to 3.61.243.254 | 3.61.243.255 | 510 |
| 251 | 3.61.244.0/23 | 3.61.244.1 to 3.61.245.254 | 3.61.245.255 | 510 |
| 252 | 3.61.246.0/23 | 3.61.246.1 to 3.61.247.254 | 3.61.247.255 | 510 |
| 253 | 3.61.248.0/23 | 3.61.248.1 to 3.61.249.254 | 3.61.249.255 | 510 |
| 254 | 3.61.250.0/23 | 3.61.250.1 to 3.61.251.254 | 3.61.251.255 | 510 |
| 255 | 3.61.252.0/23 | 3.61.252.1 to 3.61.253.254 | 3.61.253.255 | 510 |
| 256 | 3.61.254.0/23 | 3.61.254.1 to 3.61.255.254 | 3.61.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |